%%Function to check image format
% Todd Fallesen, Feb 28, 2022
%Check to see if image meets the ideal conditions, i.e. has empty space all
%around chromatid except on the top

function Good_Image = Image_Format_Check(ImBW)

counter = 0;
Good_Image = true;

if (nnz(ImBW(:,1) > 0))
    counter = counter+1;
end

if (nnz(ImBW(:,end)>0)) 
    counter = counter+1;
end

if (nnz(ImBW(1,:)>0))
    counter = counter+1;
end

if (nnz(ImBW(end,:)>0))
    counter = counter+1;
end

if counter > 1
    Good_Image = false;

    
end

end