function RGB_image = line_drawer(image, y_rows, border_rows)
% Function for drawing red lines on images in given rows
% Todd Fallesen, CALM facility, Francis Crick Institute
red_rows = y_rows;
green_rows = border_rows;
if strcmp(class(image), 'uint16')==1
    bits=16;
elseif strcmp(class(image), 'uint8')==1
    bits=8;
else
    bits=0;
end

[im_indexed, map] = gray2ind(image, 2^bits);

RGB_image = ind2rgb(im_indexed, map);

max_rgb = max(max(max(RGB_image)));  %got to be a better way to rescale the image than this
min_rgb = min(min(min(RGB_image)));

RGB_image = RGB_image/max_rgb;

for k=1:length(red_rows)
    
    RGB_image(red_rows(k),:,1)=0.3; %make the red channel 255, make the other channels 0
    %RGB_image(red_rows(k),:,2)=0;
    %RGB_image(red_rows(k),:,3)=0;
    
end

try
    for k=1:length(green_rows)
        k
        green_rows(k)
        RGB_image(green_rows(k),:,2)=0.3;
        %RGB_image(green_rows(k),:,1)=0;
        %RGB_image(green_rows(k),:,3)=0;
    end
catch
    RGB_image = RGB_image;
end
    

end










