function ImMask = image_masker(ImData, ImBW, se)
%function to mask over the Original image with the binarized image, to make
%a better fit to the data
%
%se = strel('disk',2,8);

ImDialated = imdilate(ImBW, se);
if isa(ImData, 'uint16')
    ImDialated = uint16(ImDialated);
elseif isa(ImData, 'uint8')
    ImDialated = uint8(ImDialated);
    
else
    ImDialated = uint16(ImDialated);
end
ImMask = ImData.*ImDialated;




end