%Check if a image is portrait or landscape
function [imdata, bw_filled, width, height, rotated] = matrix_rotator(stats, imdata, bw_filled)
%%basically, checks length vs width, and if the length is smaller than the
%%width, rotates. Also then checks that the top row has values in it
%https://uk.mathworks.com/help/images/ref/regionprops.html
width = stats.BoundingBox(3);
height = stats.BoundingBox(4);
rotated='no';
if stats.BoundingBox(4)<stats.BoundingBox(3)
    imdata = imdata';
    bw_filled=bw_filled';
    
    width=stats.BoundingBox(4);
    height=stats.BoundingBox(3);
    rotated = 'yes height/width';
end

if nnz(bw_filled(1,:))==0 && strcmp('no',rotated)==1
    imdata=imdata';
    bw_filled=bw_filled';
    width=stats.BoundingBox(4);
    height=stats.BoundingBox(3);
    rotated = 'yes zero top';
    

end